//
// GenEtatVer.h - Macros de définition de version des produits EIC.
//

#define _VER_iMAJOR_ETAT     1         //Mettre à jour lors d'un changement de version
#define _VER_iMINOR_ETAT     18        //Mettre à jour lors d'un changement de version
#define _VER_iRELEASE_ETAT   2         //Mettre à jour lors d'un changement de version
#define _VER_HEXA_ETAT       0x011202  //Mettre à jour lors d'un changement de version
#define _VER_szVER_ETAT      "1.18b"   //Mettre à jour lors d'un changement de version

#define _VER_iMAJOR_FILE_ETAT     2         //Mettre à jour lors d'un changement de version
#define _VER_iMINOR_FILE_ETAT     15         //Mettre à jour lors d'un changement de version
#define CUR_VER_FILE  (DWORD)MAKELONG( _VER_iMINOR_FILE_ETAT, _VER_iMAJOR_FILE_ETAT)


#if 0
    1.00  =>   Première version livrée
    1.00a => Corrige le bug de la page blanche (du à la résolution)
    1.00b => Corrige le bug du choix de l'imprimante sous Win95
    1.00c => Corrige le bug Impression du rectangle clippé en couleur de font
    1.00d => Corrige le bug de la page blanche (du à la résolution) (2eme document)
    1.00e => Corrige le bug du choix de l'imprimante sous Win95 quand il y a plusieurs pages
    1.00f => Corrige le bug de la resolution == 0 (Minolta)
    1.00g => Corrige le bug de la non impression d'un debut d'etat
    1.00h => Livraison 5.10
    1.00i => evite de planter si Screen->MainForm == NULL
    		 gestion de la langue anglaise (False != Faux)
    1.00j => ne répète pas la première bande utilisateur en haut de page suite à une rupture de page dans un chp extensible
    1.00k => correction d'un bug lors d'un passage à la page suivante sur l'espace qui suit un champ extensible
    1.01  => ajout de la possibilité d'insérer une bande utilisateur avant une autre bande
    1.02  => ajout de la possibilité du zero non significatif
    1.03  => changement des carac du composant
    1.04  => ajout de la possibilité de reporter les ruptures en début de page
    1.05  => Possibilité de lier des cp avec des champs
    1.05a => pb du popresolution avec resolution à -1
    1.05b => pb des caractères bouffés à droite
    1.05c => pb des erreur externe n°46 + ecran bleu
    1.06  => Possibilité d'avoir un etat sous une bande
    1.07  => Possibilité d'avoir un des largeurs min et max ds les colonnes
    1.08  => Possibilité d'interdire les ruptures ds une bande dues aux cp extensibles
    1.08a => Correction EStackOverFlow lors de rupture sur une bande utilisateur avant une bande détail
    1.08b => erreur dans l'import de compta => largeur de colonne > largeur du tableau
    1.08c => pb des caractères bouffés à droite + libération de mémoire
    1.08d => pb de caractères bouffés à droite dans les richedits
    1.08e => édition correcte des richedits (pb en changeant de résolution)
    1.08f => Correction du visa sur les machines 98 avec un driver qui ne supporte pas le stretchblt
    1.09  => Possibilité de lier avec les hauteurs+lignes ds les tableaux
    1.10  => ajout du Tag ds l'état
    1.11  => Modif de la gestion de la marge
    1.11a => corrections des reports
    1.11b => Edition des textes justifiés
             Possibilité d'éditer sans passer par les bitmaps
             Erreur sur les imprimantes avec une resol par défaut <= 0 lors du calcul de page de l'edition directe
    1.11c => Edition des chiffres cadrés à droite tronqués
    1.11d => Edition des chiffres cadrés à gauche tronqués à droite (impression plus longue qu'à l'écran
    1.11e => erreur 1-50 lors de l'impression
    1.12  => Gestion des langues
    1.13  => 1.13a Gestion des Grandes polices
    1.13a => 1.13b Indice de repetition sur les bandes utilisateurs qui suivent une bande principale
    1.13b => 1.13c Tentative d'amélioration des objets ole
    1.13c => 1.13d Caractères bouffés à droite
    1.13d => 1.13e eOverflow lors de l'impression
    1.13e => 1.13f eAccessviolation lors de l'impression
    1.13f => 1.13g aperçus dans les styles
                   impression avec resolution x et Y différentes
                   impression vide
    1.13g => 1.13h carctères tronquès à droite
    1.13h => 1.13i Plante sous 98 lors du déchargement
    1.13i => 1.13j remet l'espacement des caractères
    1.13j => 1.13k rectif de l'affichage des doc ole
    1.13k => 1.13l Enleve les messages dues aux retours des fonctions gdi (vont uniquement ds le trace)
    1.13l => 1.13m problème des textes verticaux
	1.13m => 1.13n problèmes de hauteurs avec rtf
	1.13n => 1.13o pb de bitmaps (avec visas)
    1.13o => 1.13p pb d'arrondis
    1.15           Nouvelle version integrant suppression entete sur les cp ole
    1.16b => le membre m_Presentation de la classe CRtf n'était pas initialisé
    1.17  => Utilisation de GED.dll
    1.18 -> possibilité de préciser la position du commentaire
    1.18  => 1.18a -     - Problème d'impression du logo livré par défaut dans la plaquette sur une HP2300 (imprimante d'Anthony)
    1.18a => 1.18b - 629 -  * Problème lors de l'impression des visas (sort un rectangle noir).
							* Problème lors des impressions groupées vers la GED.     
							* Problème dans Taxe apprentissage lorsque l'imprimante par défaut est PDFCreator, quand on envoie vers la GED, l'édition est tronquée.
#endif
